Loading...
Searching...
No Matches
get_functor_result< F, typename std::enable_if< std::is_member_function_pointer< decltype(&F::operator())>::value >::type >

## Detailed Description

template<typename F>
struct rheolef::details::get_functor_result< F, typename std::enable_if< std::is_member_function_pointer< decltype(&F::operator())>::value >::type >

Definition at line 331 of file field_expr_utilities.h.

## Public Types

using | type = typename get_functor_result_impl< F, decltype(&F::operator())>::type

## Static Public Attributes

static const bool | value = true

## Member Typedef Documentation

## type

template<typename F >

using type = typename get_functor_result_impl<F,decltype(&F::operator())>::type

Definition at line 336 of file field_expr_utilities.h.

## Member Data Documentation

## value

template<typename F >

const bool value = true

static

Definition at line 337 of file field_expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/geo_element/field_expr_utilities.h